Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I installed ubunto OS and apache.php and mysql on it the problem is that when I want to use phpmyadmin it says:

Warning: require_once(./libraries/common.inc.php) [function.require-once]: failed to open stream: Permission denied in /var/www/phpmyadmin.hkh.com/index.php on line 34

Fatal error: require_once() [function.require]: Failed opening required './libraries/common.inc.php' (include_path='.:/usr/share/php:/usr/share/pear') in /var/www/phpmyadmin.hkh.com/index.php on line 34

what should I do to solve my problem? any suggestions are welcome!

share|improve this question

migrated from stackoverflow.com Nov 28 '10 at 23:36

This question came from our site for professional and enthusiast programmers.

    
Did you try finding that file and doing a chmod 775 to open up permissions on that file? –  cinqoTimo Nov 28 '10 at 1:21
add comment

1 Answer

up vote 0 down vote accepted

cinqoTimo probably is on the right track, but I figured I'd expound. The user and group your apache is running as (www or some such) as specified in the httpd.conf file needs to have read permissions for the file.

You'll want to navigate to that file and check the permissions using 'ls -l', you might need to change the user/group of the file to match what is specified in your httpd.conf file.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.